<html>
<head>
<title>Ogre::D3D9HardwareIndexBuffer::BufferResources Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9HardwareIndexBuffer.html">D3D9HardwareIndexBuffer</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html">BufferResources</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9HardwareIndexBuffer::BufferResources Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9HardwareIndexBuffer::BufferResources" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DIndexBuffer9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#ad8f5af5f0ac512034a51b273059611de">mBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a3c90f887047e20f702791966f395a09a">mOutOfDate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a6fd8e3c236764797ec1610370bb0eac4">mLockOffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a66c987f45f6734188299b97af8ff9f18">mLockLength</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a78d978d6eaeaeb0086028b53a662bbbe">mLockOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#ae4b82b6dc9687bd61cc6d9edc16c2910">mLastUsedFrame</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad8f5af5f0ac512034a51b273059611de"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mBuffer" ref="ad8f5af5f0ac512034a51b273059611de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DIndexBuffer9* <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#ad8f5af5f0ac512034a51b273059611de">Ogre::D3D9HardwareIndexBuffer::BufferResources::mBuffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00072">72</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae4b82b6dc9687bd61cc6d9edc16c2910"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mLastUsedFrame" ref="ae4b82b6dc9687bd61cc6d9edc16c2910" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#ae4b82b6dc9687bd61cc6d9edc16c2910">Ogre::D3D9HardwareIndexBuffer::BufferResources::mLastUsedFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00077">77</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a66c987f45f6734188299b97af8ff9f18"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockLength" ref="a66c987f45f6734188299b97af8ff9f18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a66c987f45f6734188299b97af8ff9f18">Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockLength</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00075">75</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6fd8e3c236764797ec1610370bb0eac4"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockOffset" ref="a6fd8e3c236764797ec1610370bb0eac4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a6fd8e3c236764797ec1610370bb0eac4">Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockOffset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00074">74</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a78d978d6eaeaeb0086028b53a662bbbe"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockOptions" ref="a78d978d6eaeaeb0086028b53a662bbbe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a78d978d6eaeaeb0086028b53a662bbbe">Ogre::D3D9HardwareIndexBuffer::BufferResources::mLockOptions</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00076">76</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3c90f887047e20f702791966f395a09a"></a><!-- doxytag: member="Ogre::D3D9HardwareIndexBuffer::BufferResources::mOutOfDate" ref="a3c90f887047e20f702791966f395a09a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1D3D9HardwareIndexBuffer_1_1BufferResources.html#a3c90f887047e20f702791966f395a09a">Ogre::D3D9HardwareIndexBuffer::BufferResources::mOutOfDate</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html#l00073">73</a> of file <a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9HardwareIndexBuffer_8h_source.html">OgreD3D9HardwareIndexBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
